[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [46492] trunk/blender/extern: Carve and libmv bundling scripts: should work with svn checkout now

Sergey Sharybin sergey.vfx at gmail.com
Thu May 10 13:08:26 CEST 2012


Revision: 46492
          http://projects.blender.org/scm/viewvc.php?view=rev&root=bf-blender&revision=46492
Author:   nazgul
Date:     2012-05-10 11:08:25 +0000 (Thu, 10 May 2012)
Log Message:
-----------
Carve and libmv bundling scripts: should work with svn checkout now

Modified Paths:
--------------
    trunk/blender/extern/carve/bundle.sh
    trunk/blender/extern/libmv/bundle.sh

Modified: trunk/blender/extern/carve/bundle.sh
===================================================================
--- trunk/blender/extern/carve/bundle.sh	2012-05-10 11:00:50 UTC (rev 46491)
+++ trunk/blender/extern/carve/bundle.sh	2012-05-10 11:08:25 UTC (rev 46492)
@@ -1,8 +1,10 @@
 #!/bin/sh
 
-if [ -d ./.svn ]; then
-  echo "This script is supposed to work only when using git-svn"
-  exit 1
+if [ "x$1" = "x--i-really-know-what-im-doing" ] ; then
+    echo Proceeding as requested by command line ...
+else
+    echo "*** Please run again with --i-really-know-what-im-doing ..."
+    exit 1
 fi
 
 tmp=`mktemp -d`
@@ -14,8 +16,8 @@
   cat ./patches/$p | patch -d $tmp/carve -p1
 done
 
-rm -rf include
-rm -rf lib
+find include -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
+find lib -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
 
 cat "files.txt" | while read f; do
   mkdir -p `dirname $f`
@@ -24,9 +26,9 @@
 
 rm -rf $tmp
 
-sources=`find ./lib -type f -iname '*.cc' -or -iname '*.cpp' -or -iname '*.c' | sed -r 's/^\.\//\t/'`
-headers=`find ./lib -type f -iname '*.h' -or -iname '*.hpp' | sed -r 's/^\.\//\t/'`
-includes=`find ./include -type f -iname '*.h' -or -iname '*.hpp' | sed -r 's/^\.\//\t/'`
+sources=`find ./lib -type f -iname '*.cc' -or -iname '*.cpp' -or -iname '*.c' | sed -r 's/^\.\//\t/' | sort -d`
+headers=`find ./lib -type f -iname '*.h' -or -iname '*.hpp' | sed -r 's/^\.\//\t/' | sort -d`
+includes=`find ./include -type f -iname '*.h' -or -iname '*.hpp' | sed -r 's/^\.\//\t/' | sort -d`
 
 mkdir -p include/carve/external/boost
 cp patches/files/random.hpp include/carve/external/boost/random.hpp

Modified: trunk/blender/extern/libmv/bundle.sh
===================================================================
--- trunk/blender/extern/libmv/bundle.sh	2012-05-10 11:00:50 UTC (rev 46491)
+++ trunk/blender/extern/libmv/bundle.sh	2012-05-10 11:08:25 UTC (rev 46492)
@@ -1,14 +1,16 @@
 #!/bin/sh
 
+if [ "x$1" = "x--i-really-know-what-im-doing" ] ; then
+    echo Proceeding as requested by command line ...
+else
+    echo "*** Please run again with --i-really-know-what-im-doing ..."
+    exit 1
+fi
+
 #BRANCH="keir"
 #BRANCH="Matthias-Fauconneau"
 BRANCH="Nazg-Gul"
 
-if [ -d ./.svn ]; then
-  echo "This script is supposed to work only when using git-svn"
-  exit 1
-fi
-
 repo="git://github.com/${BRANCH}/libmv.git"
 tmp=`mktemp -d`
 
@@ -22,8 +24,8 @@
   cat ./patches/$p | patch -d $tmp/libmv -p1
 done
 
-rm -rf libmv
-rm -rf third_party
+find libmv -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
+find third_party -type f -not -iwholename '*.svn*' -exec rm -rf {} \;
 
 cat "files.txt" | while read f; do
   mkdir -p `dirname $f`




More information about the Bf-blender-cvs mailing list